summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAdrian Perez de Castro2018-07-02 17:12:51 +0300
committerAdrian Perez de Castro2018-07-02 17:12:51 +0300
commit7e7f2740eb5da64351d471a693158eb5f54303b9 (patch)
tree6de4bbdbdd33032976381f7a4827e399716ef4b6
downloadaur-7e7f2740eb5da64351d471a693158eb5f54303b9.tar.gz
Initial import
-rw-r--r--.SRCINFO11
-rw-r--r--.gitignore5
-rw-r--r--PKGBUILD25
3 files changed, 41 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..f87d7251a14
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,11 @@
+pkgbase = otf-monacob-git
+ pkgdesc = Monaco font with a bold variant
+ pkgver = r9.b77db4b
+ pkgrel = 1
+ url = https://github.com/vjpr/monaco-bold
+ arch = any
+ source = otf-monacob-git::git+https://github.com/vjpr/monaco-bold
+ sha512sums = SKIP
+
+pkgname = otf-monacob-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..f1570f8c52e
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,5 @@
+/otf-monacob-git/
+/pkg/
+/src/
+/*.tar
+/*.tar.*
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..99ae56415b2
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,25 @@
+# Maintainer: Adrián Pérez de Castro <aperez@igalia.com>
+pkgname=otf-monacob-git
+pkgdesc='Monaco font with a bold variant'
+pkgver=r9.b77db4b
+pkgrel=1
+url='https://github.com/vjpr/monaco-bold'
+arch=(any)
+source=("${pkgname}::git+${url}")
+sha512sums=(SKIP)
+
+pkgver () {
+ cd "${srcdir}/${pkgname}"
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package () {
+ cd "${pkgname}"
+ local p
+ for p in */*.otf ; do
+ install -Dm644 "${p}" "${pkgdir}/usr/share/fonts/${pkgname}/${p##*/}"
+ done
+}